Name: dnscache
Version: 0.82
Release: 1
Group: Utilities/System
URL: http://www.qmail.org/
Copyright: Check with djb@koobera.math.uic.edu
Source0: ftp://koobera.math.uic.edu/pub/software/dnscache-0.82.tar.gz
Source1: dnscache-docs-0.82.tar.gz
Summary: Collection of tools for managing UNIX services.
Packager: david@summersoft.fay.ar.us
Requires: ucspi-tcp daemontools
Buildroot: %{_tmpdir}/%{name}-%{version}-%{release}
%description
Collection of tools for managing UNIX services.

%changelog
* Fri Feb 11 2000 David Summers <david@summersoft.fay.ar.us>
- Release 1.

%prep
%setup -q

tar xvzf $RPM_SOURCE_DIR/dnscache-docs-0.82.tar.gz

# Move binaries to /bin
echo "/" > conf-home

%build
make

%install
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/bin

cp @             $RPM_BUILD_ROOT/etc/@

cp dnscache-conf $RPM_BUILD_ROOT/bin
cp tinydns-conf  $RPM_BUILD_ROOT/bin
cp walldns-conf  $RPM_BUILD_ROOT/bin
cp rbldns-conf   $RPM_BUILD_ROOT/bin
cp pickdns-conf  $RPM_BUILD_ROOT/bin
cp axfrdns-conf  $RPM_BUILD_ROOT/bin

cp dnscache      $RPM_BUILD_ROOT/bin
cp tinydns       $RPM_BUILD_ROOT/bin
cp walldns       $RPM_BUILD_ROOT/bin
cp rbldns        $RPM_BUILD_ROOT/bin
cp pickdns       $RPM_BUILD_ROOT/bin
cp axfrdns       $RPM_BUILD_ROOT/bin

cp tinydns-get   $RPM_BUILD_ROOT/bin
cp tinydns-data  $RPM_BUILD_ROOT/bin
cp tinydns-edit  $RPM_BUILD_ROOT/bin
cp rbldns-data   $RPM_BUILD_ROOT/bin
cp pickdns-data  $RPM_BUILD_ROOT/bin
cp axfr-get      $RPM_BUILD_ROOT/bin

cp dnsip         $RPM_BUILD_ROOT/bin
cp dnsipq        $RPM_BUILD_ROOT/bin
cp dnsname       $RPM_BUILD_ROOT/bin
cp dnstxt        $RPM_BUILD_ROOT/bin
cp dnsmx         $RPM_BUILD_ROOT/bin
cp dnsfilter     $RPM_BUILD_ROOT/bin
cp random-ip     $RPM_BUILD_ROOT/bin
cp dnsq          $RPM_BUILD_ROOT/bin
cp dnstrace      $RPM_BUILD_ROOT/bin

%post
if [ "$1"x = "1"x ]; then
   /usr/sbin/useradd -M dnscache
   /usr/sbin/useradd -M dnslog
fi

%preun
if [ "$1"x = "0"x ]; then
   /usr/sbin/userdel dnscache
   /usr/sbin/userdel dnslog
fi

%clean
# Clean up after compiling and installing.
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README TODO VERSION
%doc docs/*
%config /etc/@
/bin/*
